Package org.apache.lucene.analysis.ko

## Class POS

- java.lang.Object
- - org.apache.lucene.analysis.ko.POS

-     public class POS
      extends Object

  Part of speech classification for Korean based on Sejong corpus classification. The list of tags and their meanings is available here: https://docs.google.com/spreadsheets/d/1-9blXKjtjeKZqsf4NzHeYJCrr49-nXeRF6D80udfcwY

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `POS.Tag` | Part of speech tag for Korean based on Sejong corpus classification.
    `static class` | `POS.Type` | The type of the token.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `POS()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static POS.Tag` | `resolveTag​(byte tag)` | Returns the `POS.Tag` of the provided `tag`.
    `static POS.Tag` | `resolveTag​(String name)` | Returns the `POS.Tag` of the provided `name`.
    `static POS.Type` | `resolveType​(byte type)` | Returns the `POS.Type` of the provided `type`.
    `static POS.Type` | `resolveType​(String name)` | Returns the `POS.Type` of the provided `name`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### POS

          public POS()

  - ### Method Detail

    - #### resolveTag

          public static POS.Tag resolveTag​(String name)

      Returns the `POS.Tag` of the provided `name`.

    - #### resolveTag

          public static POS.Tag resolveTag​(byte tag)

      Returns the `POS.Tag` of the provided `tag`.

    - #### resolveType

          public static POS.Type resolveType​(String name)

      Returns the `POS.Type` of the provided `name`.

    - #### resolveType

          public static POS.Type resolveType​(byte type)

      Returns the `POS.Type` of the provided `type`.